summaryrefslogtreecommitdiffstats
path: root/games/fortune-farscape/fortune-farscape.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/fortune-farscape/fortune-farscape.SlackBuild')
-rw-r--r--games/fortune-farscape/fortune-farscape.SlackBuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/games/fortune-farscape/fortune-farscape.SlackBuild b/games/fortune-farscape/fortune-farscape.SlackBuild
new file mode 100644
index 0000000000..ce16787d16
--- /dev/null
+++ b/games/fortune-farscape/fortune-farscape.SlackBuild
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Slackware build script for fortune-farscape
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20191224 bkw: I'm my own upstream on this one. The fortune file was
+# made by scraping wikiquotes, then hand-massaging the data into the
+# format fortune(6) wants and fixing a few typos/etc. Also added a
+# few quotes from episodes that didn't have any quotes on wikiquote,
+# specifically "Beware of Dog", "Incubator", "I-Yensch, You-Yensch",
+# "Twice Shy".
+
+PRGNAM=fortune-farscape
+VERSION=${VERSION:-20191224}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+FDIR=$PKG/usr/share/games/fortunes
+rm -rf $PKG
+mkdir -p $TMP $FDIR $OUTPUT
+cd $FDIR
+xzcat $CWD/$PRGNAM-$VERSION.xz > farscape
+strfile farscape
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}